* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border-style: solid;
  border-width: 0;
}

html,
body,
#app {
  height: 100%;
}

html {
  background-color: var(--page-bg-color, #1d1d1d);
  color: var(--text-color);
  font-size: calc(100vw / 375 * 100);
}

body {
  position: relative;
}

@media (min-width: 750px) {
  html {
    font-size: 100px;
  }
  body {
    width: 375px;
    margin: 0 auto;
  }
}

.bg-page {
  background-color: var(--bg-color);
}

.text-primary {
  color: var(--primary-color);
}

.text-secondary {
  color: var(--secondary-color);
}

.text-gs-700 {
  color: var(--gs-700);
}

.text-gs-800 {
  color: var(--gs-800);
}

.border-c {
  border-color: var(--border-color);
}

.shrink-0 {
  flex-shrink: 0;
}

.text-bto {
  color: var(--bto-color);
}

* {
  scrollbar-width: none;
  ::-webkit-scrollbar {
    width: 0;
    height: 0;
    display: none;
  }
  ::-webkit-scrollbar-track {
    width: 0;
    height: 0;
    background: transparent;
  }
  ::-webkit-scrollbar-thumb {
    width: 0;
    height: 0;
    background: transparent;
  }
}

img {
  display: block;
  width: 100%;
  object-fit: contain;
}

.contain-main {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.contain-box {
  min-height: 0;
  flex: 1;
  overflow-y: auto;
}

.loading-dots {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
  height: 100%;
}

.loading-dots span {
  width: 12px;
  height: 12px;
  background: #666;
  border-radius: 50%;
  animation: dot 1.4s infinite ease-in-out both;
}

.loading-dots span:nth-child(1) {
  animation-delay: 0s;
}
.loading-dots span:nth-child(2) {
  animation-delay: 0.2s;
}
.loading-dots span:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes dot {
  0%,
  80%,
  100% {
    opacity: 0.3;
  }
  40% {
    opacity: 1;
  }
}

.popup-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.toast-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99999;
}

.toast-content {
  font-size: 0.12rem;
  background-color: rgba(0, 0, 0, 0.8);
  padding: 0.12rem 0.24rem;
  border-radius: 0.08rem;
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}

.backdrop-blur-xs {
  -webkit-backdrop-filter: blur(22px);
  backdrop-filter: blur(22px);
}

/* ---- */

.nowrap {
  white-space: nowrap;
}

.main-domain {
  text-shadow: 0px 1px 6.1px #ff040b;
  animation: scale 0.6s linear alternate infinite;
}

@keyframes scale {
  0% {
    transform: scale(0.94);
  }

  50% {
    transform: scale(1);
  }

  to {
    transform: scale(1.06);
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

a {
  color: inherit;
}

.font-medium {
  font-weight: 500;
}

.font-bold {
  font-weight: 700;
}

.pointer-events-none {
  pointer-events: none;
}

.visible {
  visibility: visible;
}

.absolute {
  position: absolute;
}

.absolute-full {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.fixed {
  position: fixed;
}

.relative {
  position: relative;
}

.static {
  position: static;
}

.inset-0 {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.bottom-52 {
  bottom: 0.52rem;
}

.left-20 {
  left: 0.2rem;
}

.right-0 {
  right: 0;
}

.top-12 {
  top: 0.12rem;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.ml-auto {
  margin-left: auto;
}

.my-12 {
  margin-top: 0.12rem;
  margin-bottom: 0.12rem;
}

.mb-12 {
  margin-bottom: 0.12rem;
}

.mb-4 {
  margin-bottom: 0.04rem;
}

.ml-10 {
  margin-left: -0.1rem;
}

.mt-8 {
  margin-top: 0.08rem;
}

.mt-12 {
  margin-top: 0.12rem;
}

.mt-15 {
  margin-top: 0.15rem;
}

.mt-14 {
  margin-top: 0.14rem;
}

.mt-20 {
  margin-top: 0.2rem;
}

.mt-25 {
  margin-top: 0.25rem;
}

.mt-28 {
  margin-top: 0.28rem;
}

.mt-30 {
  margin-top: 0.3rem;
}

.block {
  display: block;
}

.hidden {
  display: none;
}

.h-18 {
  height: 0.18rem;
}

.h-20 {
  height: 0.2rem;
}

.h-25 {
  height: 0.25rem;
}

.h-24 {
  height: 0.24rem;
}

.h-28 {
  height: 0.28rem;
}

.h-38 {
  height: 0.38rem;
}

.h-40 {
  height: 0.4rem;
}

.h-62 {
  height: 0.62rem;
}

.h-88 {
  height: 0.88rem;
}

.h-full {
  height: 100%;
}

.h-dvh {
  height: 100dvh;
}

.w-\[70\%\] {
  width: 70%;
}

.w-18 {
  width: 0.18rem;
}

.w-22 {
  width: 0.22rem;
}

.w-24 {
  width: 0.24rem;
}

.w-34 {
  width: 0.34rem;
}

.w-100 {
  width: 1rem;
}

.h-34 {
  height: 0.34rem;
}

.w-78 {
  width: 0.78rem;
}

.w-256 {
  width: 2.56rem;
}

.w-343 {
  width: 3.43rem;
}

.w-38 {
  width: 0.38rem;
}

.w-4\/5,
.w-80\% {
  width: 80%;
}

.w-40 {
  width: 0.4rem;
}

.w-44 {
  width: 0.44rem;
}

.w-57 {
  width: 0.57rem;
}

.w-full {
  width: 100%;
}

.flex {
  display: flex;
}

.gap-10 {
  gap: 0.1rem;
}

.gap-12 {
  gap: 0.12rem;
}

.flex-1 {
  flex: 1;
}

.flex-col {
  flex-direction: column;
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.grid {
  display: grid;
}

.grid-cols-3 {
  grid-template-columns: repeat(3, 1fr);
}

.cursor-pointer {
  cursor: pointer;
}

.select-none {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.items-center {
  align-items: center;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.overflow-hidden {
  overflow: hidden;
}

.text-ellipsis {
  text-overflow: ellipsis;
}

.border {
  border-width: 1px;
}

.border-t {
  border-top-width: 1px;
}

.border-\[\#3D3D3E\] {
  border-color: rgb(61 61 62);
}

.border-\[\#CA9A76\] {
  border-color: rgb(202 154 118);
}

.border-white {
  border-color: #fff;
}

.rounded-8 {
  border-radius: 0.08rem;
}

.rounded-10 {
  border-radius: 0.1rem;
}

.rounded-22 {
  border-radius: 0.22rem;
}

.rounded-8 {
  border-radius: 0.08rem;
}

.bg-\[\#1A1A1A\] {
  background-color: rgb(26 26 26);
}

.bg-\[\#292929\] {
  background-color: rgb(41 41 41);
}

.bg-\[\#513E2B\] {
  background-color: rgb(81 62 43);
}

.bg-gradient-light {
  background: linear-gradient(180deg, #fff 30.7%, #dce5f1 77.89%, #f9fcff 100%);
}

.bg-center {
  background-position: center;
}

.bg-cover {
  background-size: cover;
}

.bg-no-repeat {
  background-repeat: no-repeat;
}

.shadow-gradient-light {
  box-shadow:
    0 3.233px 6.467px 0 #d8e2ef inset,
    0 3.233px 6.467px 0 rgba(0, 0, 0, 0.14);
}

.p-12 {
  padding: 0.12rem;
}

.px-4 {
  padding-left: 0.04rem;
  padding-right: 0.04rem;
}

.px-8 {
  padding-left: 0.08rem;
  padding-right: 0.08rem;
}

.px-16 {
  padding-left: 0.16rem;
  padding-right: 0.16rem;
}

.px-20 {
  padding-left: 0.2rem;
  padding-right: 0.2rem;
}

.py-12 {
  padding-top: 0.12rem;
  padding-bottom: 0.12rem;
}

.py-25 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.pb-12 {
  padding-bottom: 0.12rem;
}

.pb-16 {
  padding-bottom: 0.16rem;
}

.pb-40 {
  padding-bottom: 0.4rem;
}

.pl-8 {
  padding-left: 0.08rem;
}

.pr-4 {
  padding-right: 0.04rem;
}

.pt-4 {
  padding-top: 0.04rem;
}

.pt-2 {
  padding-top: 0.02rem;
}

.pt-1 {
  padding-top: 0.01rem;
}

.pt-8 {
  padding-top: 0.08rem;
}

.pt-14 {
  padding-top: 0.14rem;
}

.letter-1 {
  letter-spacing: 1px;
}

.no-underline {
  text-decoration: none;
}

.text-uppercase {
  text-transform: uppercase;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-12 {
  font-size: 0.12rem;
}

.text-14 {
  font-size: 0.14rem;
}

.text-16 {
  font-size: 0.16rem;
}

.text-18 {
  font-size: 0.18rem;
}

.text-28 {
  font-size: 0.28rem;
}

.text-\[\#292929\] {
  color: rgb(41 41 41);
}

.text-\[\#38291D\] {
  color: rgb(56 41 29);
}

.text-\[\#7F7F7F\] {
  color: rgb(127 127 127);
}

.text-\[\#FFC79F\] {
  color: rgb(255 199 159);
}

.text-\[\#FFF\] {
  color: rgb(255 255 255);
}

.text-\[\#FFFBE5\] {
  color: rgb(255 251 229);
}
